<script lang="ts">
	import Navigation from '$lib/components/docs/navigation/Navigation.svelte';
</script>

<div id="main-layout" class="wrapper">
	<header>
		<Navigation />
		<p>Built in 🇳🇴 with <a href="https://kit.svelte.dev">SvelteKit</a></p>
	</header>
	<main>
		<slot />
	</main>
</div>
<footer />

<style lang="scss" global>
	@import '../lib/style/app.scss';

	#main-layout {
		&.wrapper {
			display: grid;
			grid-template-columns: 1fr;
			grid-template-rows: auto auto;
			@media (min-width: 760px) {
				grid-template-columns: 2fr 10fr;
				grid-template-rows: 100vh auto;
			}
		}

		header {
			display: flex;
			flex-direction: column;
			justify-content: space-between;
			align-items: center;
			border-bottom: 1px solid rgba(0, 0, 0, 0.5);

			@media (min-width: 760px) {
				border-right: 1px solid rgba(0, 0, 0, 0.5);
			}
		}

		main {
			padding: 1em;
		}

		a {
			color: var(--color-fg);
		}
	}
</style>
